intel_lpmd(8)

NAME
intel_lpmd - Intel Low Power Mode Daemon

SYNOPSIS
intel_lpmd [ OPTIONS ]

DESCRIPTION
intel_lpmd is a Linux daemon used to optimize active idle power. This daemon uses a configuration file "intel_lpmd_config.xml". Based on the configuration, it will choose right set of CPUs to enable. For example, this daemon can monitor system utilization and choose a set of low power CPUs to enable and disable the rest. This enable disable of CPUs are done using Linux cpuset feature of intel power clamp driver.

There is a control utility distributed along with this daemon. This control utility is called "intel_lpmd_control". This utility can be used to set different modes for this daemon. For example: intel_lpmd_control ON
    To turn on low power mode operation. intel_lpmd_control OFF
    To turn off low power mode operation. intel_lpmd_control AUTO
    To turn on low power mode operation in auto mode, which
    allows low power mode based on system utilization.

OPTIONS

-h --help
    Print the help message

--version
    Print intel_lpmd version and exit

--no-daemon
    Don't run as a daemon: Default is daemon mode

--systemd
    Assume daemon is started by systemd

--loglevel=
    log severity: can be info or debug

--dbus-enable
    Enable Dbus server to receive requests via Dbus

--dry-run
    Dry run without taking any action for debugging purpose.

EXAMPLES

intel_lpmd --loglevel=info --no-daemon --dbus-enable
    Run intel_lpmd with log directed to stdout

intel_lpmd --systemd --dbus-enable
    Run intel_lpmd as a service with logs directed to system journal

SEE ALSO
intel_lpmd_config.xml(5)

AUTHOR
Written by Zhang Rui <rui.zhang@intel.com>